<?php
namespace wcf\acp\action;
use wcf\action\AbstractAction;
use wcf\system\request\LinkHandler;
use wcf\system\WCF;
use wcf\util\HeaderUtil;

/**
 * Resets the acceptance state of the terms of use for all users.
 *
 * @author	Sascha Greuel <sascha@softcreatr.de>
 * @copyright	2013 Sascha Greuel
 * @license	Creative Commons Attribution-NoDerivatives <http://creativecommons.org/licenses/by-nd/4.0/legalcode>
 * @package	be.bastelstu.sascha.termsofuse
 * @subpackage	acp.action
 * @category	Community Framework
 */
class TermsOfUseAcceptanceResetAction extends AbstractAction {
	/**
	 * @see	\wcf\page\AbstractPage::$neededModules
	 */
	public $neededModules = array('MODULE_USER_TERMS_OF_USE');
	
	/**
	 * @see	\wcf\action\AbstractAction::$neededPermissions
	 */
	public $neededPermissions = array('admin.content.termsOfUse.canManageTerm');
	
	/**
	 * @see	\wcf\action\IAction::execute()
	 */
	public function execute() {
		parent::execute();
		
		$sql = "UPDATE	wcf".WCF_N."_user
			SET	disclaimerAccepted = ?";
		$statement = WCF::getDB()->prepareStatement($sql);
		$statement->execute(array(0));
		
		HeaderUtil::redirect(LinkHandler::getInstance()->getLink('TermsOfUseTermList'));
		exit;
	}
}
