<?php
namespace wcf\acp\form;
use wcf\acp\form\AbstractCategoryEditForm;
use wcf\system\WCF;

/**
 * Shows the term edit form.
 *
 * @author	Sascha Greuel <sascha@softcreatr.de>
 * @copyright	2013 Sascha Greuel
 * @license	Creative Commons Attribution-NoDerivatives <http://creativecommons.org/licenses/by-nd/4.0/legalcode>
 * @package	be.bastelstu.sascha.termsofuse
 * @subpackage	acp.form
 * @category	Community Framework
 */
class TermsOfUseTermEditForm extends AbstractCategoryEditForm {
	/**
	 * @see	\wcf\page\AbstractPage::$activeMenuItem
	 */
	public $activeMenuItem = 'wcf.acp.menu.link.content.termsOfUse';
	
	/**
	 * @see	\wcf\acp\form\AbstractCategoryAddForm::$objectTypeName
	 */
	public $objectTypeName = 'be.bastelstu.sascha.termsofuse.term';
	
	/**
	 * @see	\wcf\acp\form\AbstractCategoryAddForm::$pageTitle
	 */
	public $pageTitle = 'wcf.acp.termsOfUse.edit';
	
	/**
	 * @see	\wcf\page\AbstractPage::$templateName
	 */
	public $templateName = 'termsOfUseTermAdd';
	
	/**
	 * @see	\wcf\form\AbstractForm::saved()
	 */
	public function saved() {		
		if (isset($this->additionalData['acceptanceReset']) && $this->additionalData['acceptanceReset']) {
			$sql = "UPDATE	wcf".WCF_N."_user
				SET	disclaimerAccepted = ?";
			$statement = WCF::getDB()->prepareStatement($sql);
			$statement->execute(array(0));
		}
		
		// update change date
		$sql = "UPDATE	wcf".WCF_N."_option
			SET	optionValue = ?
			WHERE	optionName = ?";
		$statement = WCF::getDB()->prepareStatement($sql);
		$statement->execute(array(
			TIME_NOW,
			'terms_of_use_change_date'
		));
		
		// update options.inc.php
		OptionEditor::resetCache();
	}
}
